      SUBROUTINE GET_INT(I,IER)
      CALL GET_FLOAT(R,IER)
      I=NINT(R)
      RETURN
      END

      SUBROUTINE GET_FLOAT(R,IER)
      CHARACTER*80 S
      CALL GET_WORD(S,IER)
      IF (IER.NE.0) THEN 
        R=0
      ELSE
        READ(S,*,ERR=10001) R
      ENDIF
      RETURN
10001 CONTINUE
      IER=99
      R=0
      RETURN      
      END

      SUBROUTINE GET_WORD(S,IER)
      CHARACTER*(*) S
      INTEGER IA
      DATA    IA /0/
      IA=IA+1
      IF (IA.GT.IARGC()) THEN
         IER=1
      ELSE
         CALL GETARG (IA,S)
      ENDIF
      RETURN
      END
